package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhTemItem;

/**
 * 模板考核项关联Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhTemItemMapper 
{
    /**
     * 查询模板考核项关联
     * 
     * @param id 模板考核项关联主键
     * @return 模板考核项关联
     */
    public KhTemItem selectKhTemItemById(Long id);

    /**
     * 查询模板考核项关联列表
     * 
     * @param khTemItem 模板考核项关联
     * @return 模板考核项关联集合
     */
    public List<KhTemItem> selectKhTemItemList(KhTemItem khTemItem);

    /**
     * 新增模板考核项关联
     * 
     * @param khTemItem 模板考核项关联
     * @return 结果
     */
    public int insertKhTemItem(KhTemItem khTemItem);

    /**
     * 修改模板考核项关联
     * 
     * @param khTemItem 模板考核项关联
     * @return 结果
     */
    public int updateKhTemItem(KhTemItem khTemItem);

    /**
     * 删除模板考核项关联
     * 
     * @param id 模板考核项关联主键
     * @return 结果
     */
    public int deleteKhTemItemById(Long id);

    /**
     * 批量删除模板考核项关联
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhTemItemByIds(Long[] ids);
}
